Package com.collibra.dgc.core.api.dto.instance.attachment

# Class FindAttachmentsRequest

Object
PagedRequest
FindAttachmentsRequest

All Implemented Interfaces:
  `Serializable`

public class FindAttachmentsRequest extends PagedRequest
The search criteria for attachments. Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored. The returned attachments satisfy all constraints that are specified in this search criteria. By default a result containing 1000 attachments is returned

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindAttachmentsRequest.Builder`
  `static enum`
  `FindAttachmentsRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAttachmentsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAttachmentsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getBaseResourceId()`
  The ID of the resource the attachment refers to.
  `String`
  `getFileContentType()`
  The type of the content of the file representing searched attachment.
  `String`
  `getFileName()`
  The name of the file representing searched attachment.
  `AntivirusScanState`
  `getScanState()`
  `FindAttachmentsRequest.SortField`
  `getSortField()`
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  The order of sorting.
  `Long`
  `getUploadDate()`
  The date of attachment upload.
  `UUID`
  `getUserId()`
  The ID of the user who uploaded the attachment.
  `int`
  `hashCode()`
  `void`
  `setBaseResourceId(UUID baseResourceId)`
  The ID of the resource the attachment refers to.
  `void`
  `setFileContentType(String fileContentType)`
  The type of the content of the file representing searched attachment.
  `void`
  `setFileName(String fileName)`
  The name of the file representing searched attachment.
  `void`
  `setScanState(AntivirusScanState scanState)`
  `void`
  `setSortField(FindAttachmentsRequest.SortField sortField)`
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting.
  `void`
  `setUploadDate(Long uploadDate)`
  The date of attachment upload.
  `void`
  `setUserId(UUID userId)`
  The ID of the user who uploaded the attachment.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindAttachmentsRequest

    public FindAttachmentsRequest()

- ## Method Details

  - ### builder

    public static FindAttachmentsRequest.Builder builder()

  - ### getFileName

    public String getFileName()
    The name of the file representing searched attachment.

  - ### getFileContentType

    public String getFileContentType()
    The type of the content of the file representing searched attachment.

  - ### getUploadDate

    public Long getUploadDate()
    The date of attachment upload. It is the timestamp (in UTC time standard).

  - ### getUserId

    public UUID getUserId()
    The ID of the user who uploaded the attachment.

  - ### getBaseResourceId

    public UUID getBaseResourceId()
    The ID of the resource the attachment refers to.

  - ### getScanState

    public AntivirusScanState getScanState()

  - ### getSortField

    public FindAttachmentsRequest.SortField getSortField()
    The field that should be used as reference for sorting.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting.

  - ### setFileName

    public void setFileName(String fileName)
    The name of the file representing searched attachment.

  - ### setFileContentType

    public void setFileContentType(String fileContentType)
    The type of the content of the file representing searched attachment.

  - ### setUploadDate

    public void setUploadDate(Long uploadDate)
    The date of attachment upload. It is the timestamp (in UTC time standard).

  - ### setUserId

    public void setUserId(UUID userId)
    The ID of the user who uploaded the attachment.

  - ### setBaseResourceId

    public void setBaseResourceId(UUID baseResourceId)
    The ID of the resource the attachment refers to.

  - ### setScanState

    public void setScanState(AntivirusScanState scanState)

  - ### setSortField

    public void setSortField(FindAttachmentsRequest.SortField sortField)
    The field that should be used as reference for sorting.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`